
Foreman - Bug #13669

PUTing any null id to /api/v2/hosts/:id results in incorrect error message

02/11/2016 10:20 AM - Walden Raines

Status: New   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A null value in any of the *_id attributes of host results in an incorrect error message.

Here is the JSON I PUT:

{

    "realm_id": null

}

 And here is the response

{

  "error": {

    "message": "Resource host not found by id '1'" 

  }

}

 If an *_id attribute is null then either it should be ignored or it should remove the association as applicable.

History

#1 - 02/11/2016 10:20 AM - Walden Raines

- Category set to API

#2 - 04/25/2017 06:05 AM - Joseph Magen

- Assignee set to Joseph Magen
